WP6ContentParsingState Struct Reference documentation

WP6ContentParsingState Struct Reference

`#include <WP6ContentListener.h>`

## Public Member Functions
| WP6ContentParsingState (WPXTableList tableList, unsigned nextTableIndice=0)
| ~WP6ContentParsingState ()

## Public Attributes
librevenge::RVNGString | m_bodyText
librevenge::RVNGString | m_textBeforeNumber
librevenge::RVNGString | m_textBeforeDisplayReference
librevenge::RVNGString | m_numberText
librevenge::RVNGString | m_textAfterDisplayReference
librevenge::RVNGString | m_textAfterNumber
double | m_paragraphMarginBottomRelative
double | m_paragraphMarginBottomAbsolute
unsigned | m_numRemovedParagraphBreaks
unsigned | m_numListExtraTabs
bool | m_isListReference
WPXTableList | m_tableList
std::shared_ptr< WPXTable > | m_currentTable
unsigned | m_nextTableIndice
std::stack< unsigned > | m_listLevelStack
std::stack< WP6ListType > | m_listTypeStack
unsigned short | m_currentOutlineHash
unsigned char | m_oldListLevel
WP6StyleStateSequence | m_styleStateSequence
bool | m_putativeListElementHasParagraphNumber
bool | m_putativeListElementHasDisplayReferenceNumber
unsigned | m_noteTextPID
unsigned | m_numNestedNotes
bool | m_isFrameOpened
bool | m_isLinkOpened
unsigned | m_leaderCharacter
unsigned char | m_leaderNumSpaces
std::vector< WPXTabStop > | m_tempTabStops
std::vector< bool > | m_tempUsePreWP9LeaderMethod
WPXNumberingType | m_currentPageNumberingType

## Private Member Functions
| WP6ContentParsingState (const WP6ContentParsingState &)
WP6ContentParsingState & | operator= (const WP6ContentParsingState &)

## Constructor & Destructor Documentation

## ◆ WP6ContentParsingState() [1/2]

WP6ContentParsingState::WP6ContentParsingState | ( | WPXTableList | tableList,
|  | unsigned | nextTableIndice = 0 )

Referenced by operator=(), and WP6ContentParsingState().

## ◆ ~WP6ContentParsingState()

WP6ContentParsingState::~WP6ContentParsingState | ( |  | ) |

## ◆ WP6ContentParsingState() [2/2]

WP6ContentParsingState::WP6ContentParsingState | ( | const WP6ContentParsingState & |  | ) |
| private

## Member Function Documentation

## ◆ operator=()

WP6ContentParsingState & WP6ContentParsingState::operator= | ( | const WP6ContentParsingState & |  | ) |
| private

## Member Data Documentation

## ◆ m_bodyText

librevenge::RVNGString WP6ContentParsingState::m_bodyText

Referenced by WP6ContentParsingState().

## ◆ m_currentOutlineHash

unsigned short WP6ContentParsingState::m_currentOutlineHash

Referenced by WP6ContentParsingState().

## ◆ m_currentPageNumberingType

WPXNumberingType WP6ContentParsingState::m_currentPageNumberingType

Referenced by WP6ContentParsingState().

## ◆ m_currentTable

std::shared_ptr<WPXTable> WP6ContentParsingState::m_currentTable

Referenced by WP6ContentParsingState().

## ◆ m_isFrameOpened

bool WP6ContentParsingState::m_isFrameOpened

Referenced by WP6ContentParsingState().

## ◆ m_isLinkOpened

bool WP6ContentParsingState::m_isLinkOpened

Referenced by WP6ContentParsingState().

## ◆ m_isListReference

bool WP6ContentParsingState::m_isListReference

Referenced by WP6ContentParsingState().

## ◆ m_leaderCharacter

unsigned WP6ContentParsingState::m_leaderCharacter

Referenced by WP6ContentParsingState().

## ◆ m_leaderNumSpaces

unsigned char WP6ContentParsingState::m_leaderNumSpaces

Referenced by WP6ContentParsingState().

## ◆ m_listLevelStack

std::stack<unsigned> WP6ContentParsingState::m_listLevelStack

Referenced by WP6ContentParsingState().

## ◆ m_listTypeStack

std::stack<WP6ListType> WP6ContentParsingState::m_listTypeStack

Referenced by WP6ContentParsingState().

## ◆ m_nextTableIndice

unsigned WP6ContentParsingState::m_nextTableIndice

Referenced by WP6ContentParsingState().

## ◆ m_noteTextPID

unsigned WP6ContentParsingState::m_noteTextPID

Referenced by WP6ContentParsingState().

## ◆ m_numberText

librevenge::RVNGString WP6ContentParsingState::m_numberText

Referenced by WP6ContentParsingState().

## ◆ m_numListExtraTabs

unsigned WP6ContentParsingState::m_numListExtraTabs

Referenced by WP6ContentParsingState().

## ◆ m_numNestedNotes

unsigned WP6ContentParsingState::m_numNestedNotes

Referenced by WP6ContentParsingState().

## ◆ m_numRemovedParagraphBreaks

unsigned WP6ContentParsingState::m_numRemovedParagraphBreaks

Referenced by WP6ContentParsingState().

## ◆ m_oldListLevel

unsigned char WP6ContentParsingState::m_oldListLevel

Referenced by WP6ContentParsingState().

## ◆ m_paragraphMarginBottomAbsolute

double WP6ContentParsingState::m_paragraphMarginBottomAbsolute

Referenced by WP6ContentParsingState().

## ◆ m_paragraphMarginBottomRelative

double WP6ContentParsingState::m_paragraphMarginBottomRelative

Referenced by WP6ContentParsingState().

## ◆ m_putativeListElementHasDisplayReferenceNumber

bool WP6ContentParsingState::m_putativeListElementHasDisplayReferenceNumber

Referenced by WP6ContentParsingState().

## ◆ m_putativeListElementHasParagraphNumber

bool WP6ContentParsingState::m_putativeListElementHasParagraphNumber

Referenced by WP6ContentParsingState().

## ◆ m_styleStateSequence

WP6StyleStateSequence WP6ContentParsingState::m_styleStateSequence

Referenced by WP6ContentParsingState().

## ◆ m_tableList

WPXTableList WP6ContentParsingState::m_tableList

Referenced by WP6ContentParsingState().

## ◆ m_tempTabStops

std::vector<WPXTabStop> WP6ContentParsingState::m_tempTabStops

Referenced by WP6ContentParsingState().

## ◆ m_tempUsePreWP9LeaderMethod

std::vector<bool> WP6ContentParsingState::m_tempUsePreWP9LeaderMethod

Referenced by WP6ContentParsingState().

## ◆ m_textAfterDisplayReference

librevenge::RVNGString WP6ContentParsingState::m_textAfterDisplayReference

Referenced by WP6ContentParsingState().

## ◆ m_textAfterNumber

librevenge::RVNGString WP6ContentParsingState::m_textAfterNumber

Referenced by WP6ContentParsingState().

## ◆ m_textBeforeDisplayReference

librevenge::RVNGString WP6ContentParsingState::m_textBeforeDisplayReference

Referenced by WP6ContentParsingState().

## ◆ m_textBeforeNumber

librevenge::RVNGString WP6ContentParsingState::m_textBeforeNumber

Referenced by WP6ContentParsingState().

The documentation for this struct was generated from the following files:

- WP6ContentListener.h
- WP6ContentListener.cpp